Documentation Index

Fetch the complete documentation index at: https://docs.mapp.com/llms.txt

Use this file to discover all available pages before exploring further.

Delete all variants from the specified catalog

Prev Next
Delete
/api/product-catalog/v1/catalogs/{catalogId}/variants/
Security
HTTP
Type bearer
Path parameters
catalogId
integer (int64) Required

Catalog identifier whose variants should be deleted.

Responses
202

Catalog variants delete accepted for processing

{
  "catalog_id": 123,
  "status": "accepted",
  "message": "Catalog variants delete accepted for processing",
  "event_id": "550e8400-e29b-41d4-a716-446655440000",
  "operation": "delete",
  "accepted_at": 1783502993000
}
object
catalog_id
integer (int64)
Example123
status
string
Valid values[ "accepted", "failed" ]
message
string
event_id
string

Unique generated UUID assigned to the event and preserved throughout its whole lifecycle. The event_id is used in logs and is also sent back to the client with webhook events when webhooks are configured, so clients are advised to log/save it on their side.

Example550e8400-e29b-41d4-a716-446655440000
operation
string
Valid values[ "add", "upsert", "partial_update", "delete", "delete_attributes", "add_existing_only", "overwrite", "overwrite_existing_only", "update", "update_existing_only", "update_localized_attribute", "update_localized_attribute_existing_only", "clean" ]
Exampledelete
accepted_at
string (date-time)
400

Catalog variants delete was rejected during validation.

{
  "catalog_id": 123,
  "status": "failed",
  "message": "Catalog variants delete failed: Product Catalog by catalogId 123 not found",
  "operation": "delete",
  "accepted_at": 1783502993000
}
object
catalog_id
integer (int64)
Example123
status
string
Valid values[ "accepted", "failed" ]
message
string
event_id
string

Unique generated UUID assigned to the event and preserved throughout its whole lifecycle. The event_id is used in logs and is also sent back to the client with webhook events when webhooks are configured, so clients are advised to log/save it on their side.

Example550e8400-e29b-41d4-a716-446655440000
operation
string
Valid values[ "add", "upsert", "partial_update", "delete", "delete_attributes", "add_existing_only", "overwrite", "overwrite_existing_only", "update", "update_existing_only", "update_localized_attribute", "update_localized_attribute_existing_only", "clean" ]
Exampledelete
accepted_at
string (date-time)
500

Catalog variants delete failed unexpectedly.

{
  "message": "Unexpected error while processing request",
  "httpStatus": 500,
  "errorCode": "500 Internal Server Error",
  "timestamp": "2026-07-08T12:00:00Z"
}
OneOf
CatalogOperationResponseDTO
object (CatalogOperationResponseDTO)
catalog_id
integer (int64)
Example123
status
string
Valid values[ "accepted", "failed" ]
message
string
event_id
string

Unique generated UUID assigned to the event and preserved throughout its whole lifecycle. The event_id is used in logs and is also sent back to the client with webhook events when webhooks are configured, so clients are advised to log/save it on their side.

Example550e8400-e29b-41d4-a716-446655440000
operation
string
Valid values[ "add", "upsert", "partial_update", "delete", "delete_attributes", "add_existing_only", "overwrite", "overwrite_existing_only", "update", "update_existing_only", "update_localized_attribute", "update_localized_attribute_existing_only", "clean" ]
Exampledelete
accepted_at
string (date-time)
ErrorResponse
object (ErrorResponse)
message
string
httpStatus
integer (int32)
errorCode
string
timestamp
string (date-time)